module GitHub
  module Payload
    module Formatter
      class CreateEvent < Event
        include GitHub::Payload::Helpers::Push

        def sender_name
          payload['sender']['login']
        end

        def summary_url
          payload['repository']['html_url'] + "/commits/#{payload['ref']}"
        end

        def summary_message
          "[#{repo_name}] #{sender_name} just created #{payload['ref']}."
        end
      end
    end
  end
end
